PipeWire 1.6.5

Loading...
Searching...
No Matches
layout.h File Reference
SPA » Parameters

spa/param/audio/layout.h More...

Go to the source code of this file.

## Data Structures
struct | spa_audio_layout_info

## Macros
#define | SPA_AUDIO_LAYOUT_INFO_MAX_POSITION(size)
#define | SPA_AUDIO_LAYOUT_Mono 1, { SPA_AUDIO_CHANNEL_MONO, }
#define | SPA_AUDIO_LAYOUT_Stereo 2, { SPA_AUDIO_CHANNEL_FL, SPA_AUDIO_CHANNEL_FR, }
#define | SPA_AUDIO_LAYOUT_Quad
#define | SPA_AUDIO_LAYOUT_Pentagonal
#define | SPA_AUDIO_LAYOUT_Hexagonal
#define | SPA_AUDIO_LAYOUT_Octagonal
#define | SPA_AUDIO_LAYOUT_Cube
#define | SPA_AUDIO_LAYOUT_MPEG_1_0 SPA_AUDIO_LAYOUT_Mono
#define | SPA_AUDIO_LAYOUT_MPEG_2_0 SPA_AUDIO_LAYOUT_Stereo
#define | SPA_AUDIO_LAYOUT_MPEG_3_0A
#define | SPA_AUDIO_LAYOUT_MPEG_3_0B
#define | SPA_AUDIO_LAYOUT_MPEG_4_0A
#define | SPA_AUDIO_LAYOUT_MPEG_4_0B
#define | SPA_AUDIO_LAYOUT_MPEG_5_0A
#define | SPA_AUDIO_LAYOUT_MPEG_5_0B
#define | SPA_AUDIO_LAYOUT_MPEG_5_0C
#define | SPA_AUDIO_LAYOUT_MPEG_5_0D
#define | SPA_AUDIO_LAYOUT_MPEG_5_1A
#define | SPA_AUDIO_LAYOUT_MPEG_5_1B
#define | SPA_AUDIO_LAYOUT_MPEG_5_1C
#define | SPA_AUDIO_LAYOUT_MPEG_5_1D
#define | SPA_AUDIO_LAYOUT_MPEG_6_1A
#define | SPA_AUDIO_LAYOUT_MPEG_7_1A
#define | SPA_AUDIO_LAYOUT_MPEG_7_1B
#define | SPA_AUDIO_LAYOUT_MPEG_7_1C
#define | SPA_AUDIO_LAYOUT_2_1
#define | SPA_AUDIO_LAYOUT_2RC
#define | SPA_AUDIO_LAYOUT_2FC
#define | SPA_AUDIO_LAYOUT_3_1
#define | SPA_AUDIO_LAYOUT_4_0
#define | SPA_AUDIO_LAYOUT_2_2
#define | SPA_AUDIO_LAYOUT_4_1
#define | SPA_AUDIO_LAYOUT_5_0
#define | SPA_AUDIO_LAYOUT_5_0R
#define | SPA_AUDIO_LAYOUT_5_1
#define | SPA_AUDIO_LAYOUT_5_1R
#define | SPA_AUDIO_LAYOUT_6_0
#define | SPA_AUDIO_LAYOUT_6_0F
#define | SPA_AUDIO_LAYOUT_6_1
#define | SPA_AUDIO_LAYOUT_6_1F
#define | SPA_AUDIO_LAYOUT_7_0
#define | SPA_AUDIO_LAYOUT_7_0F
#define | SPA_AUDIO_LAYOUT_7_1
#define | SPA_AUDIO_LAYOUT_7_1W
#define | SPA_AUDIO_LAYOUT_7_1WR

## Detailed Description

spa/param/audio/layout.h